Subject: bug#48524: 13.0.11; AUCTeX should not use LaTeX error message for non-LaTeX modes

From: jfbu <[email-masked]>
Date: Thu, 3 Jun 2021 11:55:45 +0200

Le 03/06/2021 à 07:55, Ikumi Keita a écrit :
>> Sorry for late, I have now applied the patch and it seems
>> to do exactly what I was expecting.
> Thanks for confirmation. The proposed patch has a small incompatibility
> with the current AUCTeX that the customize option
> `TeX-error-description-list' can no longer have a fallback entry that
> matches any error, but I expect that there are few users who customized
> it. I included a news entry which warns the incompatibility in the
> attached patch.
> 
> Does anyone have comments or opinions?

Hi, only to confirm patch applied cleanly.
I tested it with LaTeX and with Plain (with pdftex engine) and it appears
to work as expected, at my locale.  I don't have experience with
customizing TeX-error-description-list so can't comment on the fallback
entry un-customizability.  Here is a situation
causing pdftex to abort abruptly after an initial error, and
then "No help available" is shown.
----
ABCD

\def\foo{\begingroup\foo}

\foo

\bye
----
(the "No help available" context will appear if producing PDF not DVI
as it is triggered by an error

==> Fatal error occurred, no output PDF file produced!

generated by pdftex only in pdf mode)

Best,
Jean-François